/* $Header: /wwg/motif/xltmix/RCS/callback.c,v 1.1 1997/03/16 04:54:57 wwg Exp $
 * Warren W. Gay VE3WWG		Thu Mar  6 21:55:02 1997
 *
 * CALLBACKS
 *
 * 	X LessTif Mix :
 * 
 * 	Copyright (C) 1997  Warren W. Gay VE3WWG
 * 
 * This  program is free software; you can redistribute it and/or modify it
 * under the  terms  of  the GNU General Public License as published by the
 * Free Software Foundation version 2 of the License.
 * 
 * This  program  is  distributed  in  the hope that it will be useful, but
 * WITHOUT   ANY   WARRANTY;   without   even  the   implied   warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details (see enclosed file COPYING).
 * 
 * You  should have received a copy of the GNU General Public License along
 * with this  program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Send correspondance to:
 * 
 * 	Warren W. Gay VE3WWG
 * 	5536 Montevideo Road #17
 *	Mississauga, Ontario L5N 2P4
 * 
 * Email:
 * 	wwg@ica.net			(current ISP of the month :-) )
 * 	bx249@freenet.toronto.on.ca	(backup)
 *
 * $Log: callback.c,v $
 * Revision 1.1  1997/03/16 04:54:57  wwg
 * Initial revision
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/types.h>
#include <assert.h>

#include <Xm/Xm.h>
#include <Xm/Label.h>
#include <Xm/ScrollBar.h>
#include <Xm/RowColumn.h>
#include <Xm/Frame.h>

#include "xltmix.h"

static char rcsid[] = "@(#)callback.c $Revision: 1.1 $";

/*
 * This callback is made when the Help->About dialog has its OK button
 * clicked. This call pops-down the dialog.
 */
void
AboutDlgOkCB(Widget w,XtPointer client_data,XtPointer call_data) {
	if ( XtIsManaged(wAboutDlg) )			/* Is this managed? */
		XtUnmanageChild(wAboutDlg);		/* No, unmanage so it pops-down */
}

/*
 * This callback is made when the Help->About dialog is to be
 * popped-up.
 */
void
AboutCB(Widget w,XtPointer client_data,XtPointer call_data) {
	fprintf(stderr,"Copyright (C) 1997 Warren W. Gay VE3WWG\n");

	if ( XtIsManaged(wAboutDlg) )			/* Is this managed yet? */
		return;					/* The dialog is already in use (managed) */

	XtVaSetValues(wAboutDlg,XmNmessageString,sAboutDlgMessage,NULL);
	XtManageChild(wAboutDlg);			/* Make it pop up */
}

/*
 * This callback is made when File->Exit has been selected.
 */
void
ExitCB(Widget w,XtPointer client_data,XtPointer call_data) {
	exit(0);					/* Bail out, with normal zero exit code */
}

/*
 * This callback is called when the user presses OK in the error
 * dialog. All we do here is to unmanage the error dialog, so that
 * it goes invisible, until its needed again.
 */
void
ExitDlgCB(Widget w,XtPointer client_data,XtPointer call_data) {

	if ( XtIsManaged(wErrDlg) )			/* Is this dialog managed yet? */
		XtUnmanageChild(wErrDlg);		/* Yes, so pop this down by unmanaging it */

	if ( bFatal )					/* Was a fatal error registered? */
		exit(2);				/* Yes, abandon ship! */
}

/* $Source: /wwg/motif/xltmix/RCS/callback.c,v $ */
