/* $Header: /wwg/motif/xltmix/RCS/editvers.c,v 1.1 1997/03/16 04:55:05 wwg Exp $
 * Warren W. Gay VE3WWG		Thu Mar  6 22:05:57 1997
 *
 * VERSION EDITING
 *
 * 	X LessTif Mix :
 * 
 * 	Copyright (C) 1997  Warren W. Gay VE3WWG
 * 
 * This  program is free software; you can redistribute it and/or modify it
 * under the  terms  of  the GNU General Public License as published by the
 * Free Software Foundation version 2 of the License.
 * 
 * This  program  is  distributed  in  the hope that it will be useful, but
 * WITHOUT   ANY   WARRANTY;   without   even  the   implied   warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details (see enclosed file COPYING).
 * 
 * You  should have received a copy of the GNU General Public License along
 * with this  program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Send correspondance to:
 * 
 * 	Warren W. Gay VE3WWG
 * 	5536 Montevideo Road #17
 *	Mississauga, Ontario L5N 2P4
 * 
 * Email:
 * 	wwg@ica.net			(current ISP of the month :-) )
 * 	bx249@freenet.toronto.on.ca	(backup)
 *
 * $Log: editvers.c,v $
 * Revision 1.1  1997/03/16 04:55:05  wwg
 * Initial revision
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <Xm/Xm.h>
#include "xltmix.h"

static char rcsid[] = "@(#)editvers.c $Revision: 1.1 $";

/*
 * This routine edits char vers[] to remove the pesky RCS '$' from "$ Revision $"
 * in the string.
 */
void
EditVersionInit(void) {
	char buf[40], *cp;
	char *dp = buf;

	if ( (cp = strchr(vers,' ')) == NULL )
		return;					/* bail out if we don't find the space */
	for ( ++cp; *cp && *cp != ' ' && *cp != '$'; )
		*dp++ = *cp++;				/* Copy only the version number */
	*dp = 0;					/* NUL terminate */
	strcpy(vers,buf);				/* Copy edited version back */
}

/*
 * This function returns a copy of pString, which is copied to pBuffer. Any occurance
 * of '$' is replaced with a version number.
 */ 
char *
EditVersion(char *pString,char *pBuffer) {
	char *bp = pBuffer;

	for ( ; *pString; ++pString )
		if ( *pString == '$' ) {
			strcpy(bp,vers);
			bp += strlen(vers);
		} else	*bp++ = *pString;
	*bp = 0;

	return pBuffer;
}

/* $Source: /wwg/motif/xltmix/RCS/editvers.c,v $ */
