/* $Header: /wwg/motif/xltmix/RCS/rpterror.c,v 1.1 1997/03/16 04:55:35 wwg Exp $
 * Warren W. Gay VE3WWG		Thu Mar  6 21:59:54 1997
 *
 * REPORT ERRORS
 *
 * 	X LessTif Mix :
 * 
 * 	Copyright (C) 1997  Warren W. Gay VE3WWG
 * 
 * This  program is free software; you can redistribute it and/or modify it
 * under the  terms  of  the GNU General Public License as published by the
 * Free Software Foundation version 2 of the License.
 * 
 * This  program  is  distributed  in  the hope that it will be useful, but
 * WITHOUT   ANY   WARRANTY;   without   even  the   implied   warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details (see enclosed file COPYING).
 * 
 * You  should have received a copy of the GNU General Public License along
 * with this  program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Send correspondance to:
 * 
 * 	Warren W. Gay VE3WWG
 * 	5536 Montevideo Road #17
 *	Mississauga, Ontario L5N 2P4
 * 
 * Email:
 * 	wwg@ica.net			(current ISP of the month :-) )
 * 	bx249@freenet.toronto.on.ca	(backup)
 *
 * $Log: rpterror.c,v $
 * Revision 1.1  1997/03/16 04:55:35  wwg
 * Initial revision
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <unistd.h>
#include <string.h>
#include <sys/types.h>
#include <assert.h>

#include <Xm/Xm.h>
#include <Xm/MessageB.h>

#include "xltmix.h"

static char rcsid[] = "@(#)rpterror.c $Revision: 1.1 $";

/*
 * This function initiates the creation of an error dialog with
 * a meaningful error text and an OK button. Note that the dialog
 * box is not operationaly until we return back to the main loop.
 */
void
ReportError(const char *file,unsigned lno,const char *format,...) {
	char buf[512];
	XmString s;					/* XmString form of message */
	va_list ap;

	va_start(ap,format);
	vfprintf(stderr,format,ap);
	if ( file != NULL )
		fprintf(stderr," (%s line %u)\n",file,lno);
	
	if ( XtIsManaged(wErrDlg) )
		goto xit;				/* The dialog is already in use */

	/*
	 * Set the Error Dialog message text, and manage it so that it pops up:
	 */
	vsprintf(buf,format,ap);			/* Format into the buffer */
	s = XmStringCreateLtoR((char *)buf,XmSTRING_DEFAULT_CHARSET); /* We need an XmString */
	XtVaSetValues(wErrDlg,XmNmessageString,s,NULL);	/* Put msg in there */
	XmStringFree(s);				/* Release the string */

	XtManageChild(wErrDlg);				/* Make it pop up */

xit:	va_end(ap);
}

/* $Source: /wwg/motif/xltmix/RCS/rpterror.c,v $ */

