/* $Header: /wwg/motif/xltmix/RCS/xmsprint.c,v 1.1 1997/03/16 04:56:06 wwg Exp $
 * Warren W. Gay VE3WWG		Sat Mar  1 14:04:46 1997
 *
 * Format a string: XmString XmSprintf(format,...)
 *
 * $Log: xmsprint.c,v $
 * Revision 1.1  1997/03/16 04:56:06  wwg
 * Initial revision
 *
 */
static char rcsid[] = "@(#)xmsprint.c $Revision: 1.1 $";

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdarg.h>
#include <string.h>
#include <time.h>
#include <Xm/Xm.h>
#include <Xm/Text.h>
#include "xmsprint.h"

/*
 * Create a XmString using the conveniance of a printf() styled call:
 */
XmString
XmSprintf(const char *format,...) {
	char buf[2048];
	va_list ap;

	/*
	 * First format the message:
	 */
	va_start(ap,format);
	vsprintf(buf,format,ap);
	va_end(ap);
	
	/*
	 * Now create the XmString to return:
	 */
	return XmStringCreateLtoR(buf,XmSTRING_DEFAULT_CHARSET);
}

/*
 * sprintf into a label widget:
 */
void
XmSprintfLabel(Widget w,const char *format,...) {
	char buf[2048];
	va_list ap;
	XmString s;

	/*
	 * First format the message:
	 */
	va_start(ap,format);
	vsprintf(buf,format,ap);
	va_end(ap);
	
	/*
	 * Now create the XmString to return:
	 */
	s = XmStringCreateLtoR(buf,XmSTRING_DEFAULT_CHARSET);
	XtVaSetValues(w,XmNlabelString,s,NULL);
	XmStringFree(s);
}

/*
 * printf into a text widget:
 */
void
XmSprintfText(Widget w,const char *format,...) {
	char buf[2048];
	va_list ap;

	/*
	 * First format the message:
	 */
	va_start(ap,format);
	vsprintf(buf,format,ap);
	va_end(ap);
	
	XmTextSetString(w,buf);					/* Set text in widget now */
	XmTextSetInsertionPosition(w,0);			/* Put cursor at start of field */
}

/*
 * Return an ascii string date, without the newline:
 */
char *
StrDate(time_t td) {
	char *cp;
	static char stbuf[64];

	strcpy(stbuf,ctime(&td));
	if ( (cp = strchr(stbuf,'\n')) != NULL )
		*cp = 0;					/* Stomp on the newline */	
	return stbuf;
}

/* $Source: /wwg/motif/xltmix/RCS/xmsprint.c,v $ */
