Summary: X LessTif based Mixer for SoundBlasters
Name: xltmix
Version: 1.1
Release: 2
Source: ftp://sunsite.unc.edu/pub/Linux/apps/sound/mixers/xltmix-1.1.tar.gz
Patch: xltmix-1.1.patch
Patch1: xltmix-1.1.non-i486.patch
Requires: lesstif >= 0.77, sh-utils
Copyright: GPL
URL: http://users.ica.net/wwg/other.html
Packager: Michael J. Long <mjlong@mindspring.com>
Group: Applications/Sound
Prefix: /usr/local
BuildRoot: /tmp/xltmix-root
Vendor: Michael J. Long <mjlong@mindspring.com>
%description
At last! An X based tool that fully exploits the full
capabilities of your SoundBlaster-16 or SoundBlaster-32
card's mixer chip. This application uses LessTif to
give it that cool MOTIF look and feel, and ease of use.
Other sound cards should be supportable, if they use
the CT1745 Mixer chip (only you know that for sure).
The xltmix program provides all the slider controls
for: Voice L+R, MIDI L+R, CD L+R, Line L+R, Mic,
and Speaker; Master controls Volume L+R, Treble L+R,
Bass L+R; Gain controls for recording L+R and
Mixer Gain L+R; Output toggles (CD L+R, Line L+R,
and Mic). Also included are the input recording
sources (MIDI L+R, CD L+R, Line L+R, and Mic).
Additionally, a master MUTE control is provided
for those times when you have to take phone calls.

%prep
%setup
%patch -P 0 -p1
%ifnarch i486 i586 i686 i786 i886 i986
%patch -P 1 -p1
%endif

%build
# The  most  important configuration parameter is the paramter
# DEV_BASE  which  must  be  set  to the hex port base address
# value. THIS MUST MATCH YOUR SOUNDBLASTER CARD.
# 
#	 BASE ADDR:      Mixer Ports used:
# 
#	   220h            224h & 225h
#	   240h            244h & 245h
#	   260h            264h & 265h
#	   280h            284h & 285h
#
# If you're configurating for a NON-SoundBlaster card, but one
# that _does_ use the CT1745 mixer chip, you need to determine
# the port address for the "index selector" port, and the port
# address  for  its  data port  (normally  this is ports p and
# p+1).  Once  the the "index selector" port is known (say p),
# then compute the base address as p - 4.  I.e.  if your Mixer
# index  selector  port  is  on a weird port address of 0x534,
# then  the  _BASE_ address  you  must  supply is the value of
# 0x0534 - 0x0004 which is the hex value 0x0530.

export RPM_BUILD_ROOT
export DEV_BASE='-DDEV_BASE=0x220'
make

%install
rm -fr ${RPM_BUILD_ROOT}
install -d -m755 ${RPM_BUILD_ROOT}/usr/local/bin
export RPM_BUILD_ROOT
make install

%post
/bin/echo "        THIS BINARY EXECUTABLE HAS BEEN COMPILED WITH THE"
/bin/echo "        ASSUMPTION THAT YOUR SOUNDBLASTER CARD IS"
/bin/echo "        CONFIGURED WITH A BASE PORT ADDRESS OF 0220 HEX."
/bin/echo "        --------------------------------------------------"
/bin/echo "        If your card is configured for a different _BASE_"
/bin/echo "        address, then please obtain the source RPM and"
/bin/echo "        build the binary RPM after changing the DEV_BASE"
/bin/echo "        in the %build section of the .spec file."
/bin/echo "        --------------------------------------------------"
/bin/echo "        IF YOUR _BASE_ ADDRESS IS NOT 0220 HEX, THEN"
/bin/echo "        RUNNING THIS BINARY IS DANGEROUS TO YOUR SYSTEM'S"
/bin/echo "        HEALTH!  Be kind to your kernel and check first!!"

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%attr( -, root, root ) %doc INSTALL xltmix-1.1.lsm COPYING
%attr( -, root, root ) /usr/local/bin/xltmix
